/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/input/rumble_profile.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/input/input.hpp"

//
// The base implementation
//
tREAL32 CSGXRumbleProfile::getInnerCone() {
	return SGX_FLOAT_MAX_VALUE;
}

tREAL32 CSGXRumbleProfile::getOuterCone() {
	return SGX_FLOAT_MAX_VALUE;
}

//
// Example profiles
//
tREAL32 CSGXRumbleProfileConstant::getRumbleOutput(const tREAL32 t) {
SGX_UNUSED(t);
	return 1.0f;
}


